class CreateComments < ActiveRecord::Migration[6.0]
  def change
    create_table :comments do |t|
      t.string       :pseudo,   :default => ""
      t.string       :email,   :default => ""
      t.string       :website,   :default => ""
      t.boolean      :enabled,   :default => false
      t.text         :comment
      t.string       :commentable_type
      t.references   :commentable,   index: true
      t.integer      :user_id
      t.references   :parent,   index: true
      t.boolean      :notified,   :default => false
      t.datetime     :notified_at
      t.references   :lang_site,   :default => 1,   index: true

      t.timestamps
    end
  end
end
